#include<bits/stdc++.h>
using namespace std;
signed main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	cout<<114<<endl<<514<<endl<<1919<<endl<<810<<endl; 
	return 0;
}
/*LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻LCA之耻

写到最后才发现这里有一道能骗分的LCA
I FUCK YOU! 

没救了

鉴定为玩原神玩的...

眼睛被吃了 
*/
